// --------------------------------
// SCREEN ALIGNED (QUAD/TRIS)
// --------------------------------

#version 330 core

// In/Out puts
in vec3 position;
out vec2 texCoords;

void main() {
    vec2 positions[3] = vec2[](
        vec2(-1.0, -1.0),                                   // Left Bottom Corner
        vec2( 3.0, -1.0),                                   // Extended to Right
        vec2(-1.0,  3.0)                                    // Extender to Top
    );

    gl_Position = vec4(positions[gl_VertexID], 0.0, 1.0);
    texCoords = positions[gl_VertexID] * 0.5 + 0.5;         // Normalize to [0.0, 1.0]

}